import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

import 'kv_utils.dart';

class NovaUtils {
  static const MethodChannel _channel = const MethodChannel('nova_utils');

  //IOS 获取钥匙链的值
  static Future<Map<String, String>> getKeyChainValue(
      List<String> paramsName) async {
    if (Platform.isIOS) {
      final Map<String, String> value = new Map<String, String>.from(
          await _channel.invokeMethod('getKeyChainValue', paramsName));
      return value;
    } else {
      return null;
    }
  }

  //IOS 设置钥匙链的值
  static Future<bool> setKeyChanValue(Map<String, String> params) async {
    if (Platform.isIOS) {
      final bool value =
          await _channel.invokeMethod('setKeyChainValue', params);
      return value;
    } else {
      return false;
    }
  }

  //获取单个kv后台配置
  static Future<String> getConfigParams(String key) async {
    //如果是第一次启动，则从网络获取keValue
    if (!OnlineConfigUtils.success) {
      await OnlineConfigUtils.getInstance().init();
    }
    return OnlineConfigUtils.getInstance().getConfigParams(key);
  }
}
